// ==UserScript==
// @name         Synology DSM Tools
// @namespace    http://tampermonkey.net/
// @version      1.0
// @description  1.修复PhotoStation打开链接
// @author       westinyang
// @match        http://westinyang.top:5000/*
// @match        http://192.168.1.150:5000/*
// @icon         http://westinyang.top:5000/webman/favicon.ico
// @grant        none
// ==/UserScript==

(function() {
    'use strict';

    /**
     * 使用说明
     * 1.修改当前脚本第7~8行为你自己的群辉外网访问地址
     * 2.修改photo_station_internet_port变量为你自己的PhotoStation外网访问端口
     */

    // 你的PhotoStation外网端口
    const photo_station_internet_port = 5080;

    // HOOK window.open
    window.xopen = window.open;
    window.open = function(url, name, specs) {
        // console.log(url, name, specs);
        // 如果打开的是PhotoStation，正则替换原始URL加上端口号
        if (url.indexOf("/photo/login.php?sid=") != -1) {
            url = url.replace(/\/\/(.*?)\//, "//$1:" + photo_station_internet_port + "/");
        }
        window.xopen(url, name, specs);
    }

})();